package org.project.item.weapons;

import org.project.entity.Entity;

import java.util.ArrayList;

// TODO: UPDATE IMPLEMENTATION
public class SwordPro extends Weapon {
    /*
    THIS IS AN EXAMPLE OF A WEAPON DESIGN.
    */
    private static final int damage = 4 ;
    private static final int manacost = 3;


    int abilityCharge;

    public SwordPro(int Damage , int Manacost) {
        super(damage , manacost);

        // TODO: DESIGN SWORD'S ATTRIBUTES IMPLEMENT THE CONSTRUCTOR
    }

    public SwordPro(Weapon other) {

            super (other.getDamage() , other.getManaCost());


    }

    // TODO: (BONUS) UPDATE THE UNIQUE ABILITY
    public void uniqueAbility(ArrayList<Entity> targets) {
        abilityCharge += 2;
        for (Entity target : targets) {
            target.takeDamage(getDamage());
        }
    }
}
